Bug 831104 - Fail on generating portable object (PO) files from the POT files
Fail on generating portable object (PO) files from the POT files
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: Publican Users Guide (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruediger Landmann
Jeff Fearn
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 04:04 EDT by xuezhi ma
Modified: 2012-06-14 23:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 23:59:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xuezhi ma 2012-06-12 04:04:20 EDT
Description of problem:
I can not generate PO files from the POT files.

Version-Release number of selected component (if applicable):
3.0

How reproducible:
always

Steps to Reproduce:
1.$ publican create --name test_book
2.$ cd test_book && publican update_pot
3.$ publican update_po --langs=zh-CN/--langs=hi-IN,pt-BR,ru-RU/--langs=all

  
Actual results:
firstname is a mandatory argument at /usr/bin/publican line 795

Expected results:
Generate PO files successfully.

Additional info:
Comment 1 Jeff Fearn 2012-06-13 02:35:40 EDT
This isn't a bug, the error message is correctly stating that firstname is required when updating PO files.

NOTE: The User Guide is not updated yet so you should use the inbuilt help to clarify methods modified for Publican 3.0.

$ publican --help  update_po
update_po
    Update the PO files

	Options:
        --help                    Display help message
        --config=s                Use a nonstandard config file
        --common_config=s         Override path to Common_Config directory
        --common_content=s        Override path to Common_Content directory
        --nocolours               Disable ANSI colourisation of logging.
        --quiet                   Disable all logging.
        --brand_dir=s             Directory to source brand files from.
        --langs=<LANGS>           Comma-separated list of languages, for example: en-US,de-DE,all
        --msgmerge                Use gettext's msgmerge for POT/PO merging.
        --firstname=<FIRSTNAME>    firstname to use for a revision.
        --surname=<SURNAME>       surname to use for a revision.
        --email=<EMAIL>           email to use for a revision.

$ publican update_po --langs zh-CN,hi-IN,pt-BR,ru-RU --firstname Xuezhi --lastname Ma --email xma@redhat.com
Comment 2 xuezhi ma 2012-06-14 21:53:17 EDT
Hi, Jeff, 
Thank you very much, this issue is verified, I think this is a Users Guide bug, so I changed component to Publican Users Guide.
Comment 3 Jeff Fearn 2012-06-14 23:59:26 EDT
There is already a bug for updating the PUG with Publican 3 changes.

Note You need to log in before you can comment on or make changes to this bug.